quilt (0.63-2) unstable; urgency=medium

  * d/p/test-completion: new patch to test the bash completion scripts
  * d/p/graph_depends_on_graphviz: update according to upstream's remarks
  * d/p/restrict-patch-names: enforces valid patch names at creation
    (Closes: #640551)
  * Install the system-wide configuration file, so that the users get
    sensible default settings, such as color by default (Closes: #702408)

 -- Martin Quinson <mquinson@debian.org>  Sat, 10 May 2014 15:52:33 +0200

quilt (0.63-1) unstable; urgency=medium

  * New upstream release
    - drop the patches accepted upstream: return2, diff_exit_code,
      patch-wrapper_do_depend_on_proc, unset_grep_options
      
  * Update and simplify our patches to ease their adoption upstream
    - reorder the patches: put the ones accepted upstream below
    - drop d/p/select-mail: was not functional, actually, and the
      patch selection mechanism introduced upstream deprecates this.
  * d/control: Update to standard version 3.9.5 (no change needed)
  * d/rules: Add stage1 DEB_BUILD_PROFILE, not building the docs to
    cut the dependency on lynx and hevea (Closes: #738114)

 -- Martin Quinson <mquinson@debian.org>  Wed, 07 May 2014 23:07:59 +0200

quilt (0.61-1) unstable; urgency=low

  * New upstream release. 
    - Update our patches against this new release; drop accepted ones:
      doc_search_of_patches, default_pager_less-R,
      handling_of_patches_with_column_in_their_name
    - Rename d/p/fix-test-setup to d/p/setup-dont-read-pc: upstream
      setup don't work when our .pc directory changes QUILT_PATCHES to 
      debian/patches. We used to have a little hacky solution, but
      it's not enough anymore, so make it right.

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Dec 2013 01:02:14 +0100

quilt (0.60-10) unstable; urgency=low

  * d/p/select-mail: Ease the selection of patches to mail out.
    (Closes: #481331)   
    
    I cannot understand how I managed to not apply this patch in the
    last five years! Sorry to Johannes Berg that contributed it, and
    to anyone who missed it...

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Sep 2013 14:17:25 +0200

quilt (0.60-9) unstable; urgency=low

  * d/p/unset_grep_options: unset GREP_OPTIONS as it often breaks quilt
    (Closes: #715563)
  * d/p/diff_exit_code: fail on refresh when diff's retcode is 2 
    (Closes: #638313)

 -- Martin Quinson <mquinson@debian.org>  Thu, 22 Aug 2013 03:23:59 +0200

quilt (0.60-8) unstable; urgency=low

  * merge patch doc_exit_status into return2, as upstream asked for it
    before integration
  * d/p/push_timeskew: updated to properly remove temp files.
    Thanks to Marc Deslauriers and other Ubuntu dudes for the bug
    report and patch (Closes: #701929).

 -- Martin Quinson <mquinson@debian.org>  Sun, 03 Mar 2013 18:57:00 +0100

quilt (0.60-7) unstable; urgency=low

  * d/p/push_timeskew: pass -q to quilt pop, restore order is arbitrary.
    Thanks to Adam Conrad and other ubuntu dudes for the bug report and
    patch (Closes: #697419). 

 -- Martin Quinson <mquinson@debian.org>  Sat, 05 Jan 2013 12:34:25 +0100

quilt (0.60-6) unstable; urgency=low

  * d/deb3: Reintroduce QUILT_PATCH_OPTS: previous bug report was buggy.
    We should just depend on patch >= 2.6 to get it working properly.
    Sorry for letting the buggy fix in, and thanks to Osamu for noticing.
    Closes: #696858.

 -- Martin Quinson <mquinson@debian.org>  Thu, 03 Jan 2013 18:25:53 +0100

quilt (0.60-5) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no change)
  * d/p/push_timeskew: only touch the non-empty files to not create
    any unwanted files (Closes: #697034).

 -- Martin Quinson <mquinson@debian.org>  Mon, 31 Dec 2012 12:38:38 +0100

quilt (0.60-4) unstable; urgency=low

  * d/p/push_timeskew: when doing a quilt push, ensure that the mtime
    of all modified files are the same. This should solve some rare
    timeskew while building the packages (and Closes: #466360).
  * debian/deb3: Remove QUILT_PATCH_OPTS=--reject-format=unified as it
    is not accepted by modern patch anymore (Closes: #696858). Ooops.
  * d/p/handling_of_patches_with_column_in_their_name: Fix the
    handling of patches with ':' in their name (Closes: #679779).
    The patch was picked in upstream git.

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Dec 2012 19:10:36 +0100

quilt (0.60-3) unstable; urgency=low

  * debian/control: specify the encoding to emacs at the file bottom,
    not the file top (Closes: #689554).
    This should help clumsy tools that get fooled when the control
    file begins with an empty paragraph, even if they should not break.
  * debian/control: Recommends less, as we use it in most commands
    (probably all but the raw push/pop ones). (LP: #1089601)
  * Add deb3 script to convert debian source package to new 3.0
    (quilt) format. Thanks to Osamu Aoki for that (Closes: #581186).
  * d/p/dep3mail: Allow mail subcommand to get the mail subject
    from dep3-formated patches, so that I can use it to report
    the changes done to quilt itself to my own upstream.
  * d/p/doc_search_of_patches: Document the fact that quilt searches
    for its `patches' directory in the same way that git searches for
    its configuration (Closes: #549482).
  * d/p/doc_exit_status: Document the exit status (Closes: #587001).
  * d/p/graph_depends_on_graphviz: Provide an informative message on
    'quilt graph' without graphviz being installed (Closes: #659944).
  * d/p/default_pager_less-R: Use 'less -R' as default pager (LP: #933617)

 -- Martin Quinson <mquinson@debian.org>  Thu, 27 Dec 2012 17:06:19 +0100

quilt (0.60-2) unstable; urgency=low

  * Fix up previous changelog entry erroneously mentioning UNRELEASED.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 04 Mar 2012 08:51:56 +0100

quilt (0.60-1) unstable; urgency=low

  * New upstream release.
  * Drop patch mail-signature, quilt mail --signature has been upstream
    since 2007.
  * Drop patch no-signature-test since the test-suite has been fixed to
    not vary based on the user's signature.
  * Drop patch arch_all, merged upstream.
  * Drop patch ensure-manpage-has-correct-patches-dir, merged upstream.
  * Drop patch override_mail_sender_in_testsuite, merged upstream.
  * Drop patch mail-from-locale, similar fix merged upstream.
  * Drop patch unset_posix_strict_conformance_variables, merged upstream.
  * Refresh all patches.
  * Update Standards-Version to 3.9.3 (no change).
  * Update Vcs-Browser URL due to Alioth changes.
  * Switch to debhelper compatibility level 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 03 Mar 2012 22:41:23 +0100

quilt (0.51-1) unstable; urgency=low

  * New upstream release.
    - Fixes the unwanted output in quilt completion. Closes: #553511
  * Drop patch backport-fixes-from-0.50, merged upstream.
  * Drop patch fix-manpage-generation, merged upstream.
  * Drop patch debianize, instead pass --with-docdir=/usr/share/doc/quilt to
    ./configure (now that upstream supports this option) and ensure quilt.pdf
    is not compressed.
  * Drop unused patch no-QUILT_LIB-in-quilt.
  * New patch ensure-manpage-has-correct-patches-dir to fix the default
    patches directory documented in quilt(1). Closes: #585438
    Thanks to  Julien Viard de Galbert for the patch.
  * Drop patch makefile_glitche, no longer required because the
    upstream build process no longer use sub-make calls to generate the
    reference documentation.
  * Refresh all other patches.
  * Improve the template for the DEP-3 headers.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 Feb 2012 10:46:59 +0100

quilt (0.50-2) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Recommends "default-mta | mail-transport-agent" instead of plain
    mail-transport-agent. Closes: #652734
  * Change the above Recommends into a Suggests. Closes: #652912
  * Drop entirely debian/patches/testsuite_cleanups since it's no longer
    needed.
  * Integrate 2 small regression fixes from upstream in
    debian/patches/backport-fixes-from-0.50, we could have waited 0.51
    for Debian but this offers a chance to get them in Ubuntu's LTS 12.04.

  [ Martin Quinson ]
  * quilt/header: Add a --dep3 option to include a DEP-3 template
    (Closes: #543355; thanks to Didier Raboud for the report and the
     patch; sorry for the delay)    

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Jan 2012 15:25:47 +0100

quilt (0.50-1) unstable; urgency=low

  [ Martin Quinson ]
  * Drop patch po-fix-msguniq which added an invocation to msguniq to
    the po files regeneration. Nothing similar is done in the packages
    I checked, and msgmerge seem to be reasonable nowadays.
  * add configure option --with-awk=/usr/bin/awk to avoid that
    configure finds locally installed gawk (don't explicit dependent
    on awk since it's essential)                          Closes: #637014
  * Add Recommends: mail-transport-agent since it's mandatory to get
    the mail command working                              Closes: #587941
  * Add the shell subcommand to the bash completion list. Closes: #578925  

  [ Raphaël Hertzog ]
  * New upstream release.
  * Drop a few patches merged upstream:
    - debian/patches/create_db_on_snapshot
    - debian/patches/doc_improvement
    - debian/patches/mailname
    - debian/patches/test-suite-update-for-patch-2.6
    - debian/patches/backport-remember-locations
    - debian/patches/skip-non-files-for-series
  * Refresh all other patches.
  * Disable patch debian/patches/testsuite_cleanups as it creates more
    problems than it seems to solve.
  * Drop lintian override file, the only override needed has been fixed
    upstream (by dropping the useless shebang).
  * Add missing ${perl:Depends} to the Depends field.
  * Switch to debhelper compat level 8.
  * Switch away from CDBS to dh.
  * Ensure we can build twice in a row by resetting properly the
    regenerated po/*.{po,pot} files.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 20 Dec 2011 11:32:02 +0100

quilt (0.48-8) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Update arch_all patch to integrate fixes prepared by Jean Delvare.
  * Refresh all other patches to apply cleanly.
  * Update documentation of dh_quilt_{,un}patch to use the
    correct dh command-line syntax (thanks to Michael Ole Olsen for the
    report!) and add a note saying that those tools are useless with the "3.0
    (quilt)" source format.
  * Add "Multi-Arch: foreign" so that packages of foreign architectures can
    depend on quilt. Closes: #640784
  * Update Standards-Version to 3.9.2 (no changes required).
  * Update lintian override to match the new output.

  [ Martin Quinson ]
  * Documentation update (man and pdf versions): patch dropped support
    for the option --unified-reject-files, so stop advising its use.
    (Closes: #616647)
  * Depend on bsdmainutils to get the column utility, which is used to
    show the available commands when none is provided (Closes: #627769) 

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 12 Sep 2011 15:49:00 +0200

quilt (0.48-7) unstable; urgency=low

  * Extend debian/patches/fix-manpage-generation to also remove the $''
    bashism. Thanks to Lars Wirzenius <lars@catalyst.net.nz> for
    the analysis. Closes: #563517
  * Update watch file to not hardcode a specific savannah mirror.
  * Add a lintian overrides for script-not-executable
    ./usr/share/quilt/scripts/patchfns, it's a shell library with a
    useless shebang.
  * Update debian/patches/use-sensible-editor to unset VISUAL
    when testing "quilt edit" (in test/edit.test) to avoid failures
    when VISUAL is set in the build environment. Closes: #575962

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 16 Apr 2010 22:03:34 +0200

quilt (0.48-6) unstable; urgency=low

  * The new algorithm that makes quilt lookup parent directories for
    .pc/.quilt_{patches,series} lead to the failure of test/setup.test
    when run in the Debian source package since $QUILT_PATCHES points
    to debian/patches when the test script expect it to be "patches".
    Avoid this by forcing QUILT_PATCHES in the test script (patch
    debian/patches/fix-test-setup) but suggest upstream to hardcode locations
    in quilt setup. Closes: #573689
  * Update Standards-Version to 3.8.4 (no changes needed).
  * Drop unused lintian overrides.
  * Wrap lines at 80 chars in quilt.make. Closes: #573617

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 15 Mar 2010 10:22:36 +0100

quilt (0.48-5) unstable; urgency=low

  * Include debian/patches/backport-remember-locations cherry-picked from the
    upstream Git repository to remember the values of QUILT_PATCHES and
    QUILT_SERIES between multiple invocations. Closes: #260664
  * New patch debian/patches/skip-non-files-for-series. Avoids selecting
    non-files as series file. Closes: #546393 LP: #428657

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 23 Jan 2010 22:53:52 +0100

quilt (0.48-4) unstable; urgency=low

  * Add "ed" to Build-Depends-Indep as it's used by the test-suite.
    Closes: #562446

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 13 Jan 2010 10:24:08 +0100

quilt (0.48-3) unstable; urgency=low

  * Stop creating files with 000 mode in the .pc directory. Upstream
    has changed this in their git repository, so we can update our shell
    variant of backup-files accordingly. Closes: #557386, #534840
  * Document the minimal versions for "dh --with quilt" in README.Debian.
    Closes: #532127
  * Support QUILT_PATCH_DIR input environment variable in CDBS's
    patchsys-quilt.mk. Closes: #517664
  * Update test suite to support newer versions of patch. Cherry-pick patch
    from upstream in debian/patches/test-suite-update-for-patch-2.6.
    Closes: #560621
  * Update patch test_broken_patches providing test/file-not-found to work
    with patch 2.6 but disable it since otherwise the package could not be
    compiled with older patch releases.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 11 Dec 2009 15:00:38 +0100

quilt (0.48-2) unstable; urgency=low

  [ Ryan Niebur ]
  * use sensible-editor, which takes $VISUAL into account (Closes:
    #509076)
  * in README.source's example snippet, use the first directory found
    with debian/{rules,patches}, not the last (Closes: 529028)

  [ Raphaël Hertzog ]
  * Switch to source format 3.0 (quilt) to get rid of all the manual
    auto-patching code required to avoid the build-dependency on itself.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 29 Oct 2009 17:56:18 +0100

quilt (0.48-1) unstable; urgency=low

  [ Martin Quinson ]
  * New upstream release.
  * debian/patches/generic-awk: removed since merged upstream.
  * debian/patches/*: updated so that they apply again on this release.

  [ Raphaël Hertzog ]
  * Remove Simon Hormans from Uploaders with his permission.
  * debian/patches/fix-manpage-generation: fix Makefile so that
    the manual page is correctly generated with dash too (LP: #402237)
  * Improve dh_quilt_patch/unpatch by respecting the QUILT_PATCH_DIR
    environment variable like /usr/share/quilt/quilt.make does.
    Closes: #544668

  [ Ryan Niebur ]
  * Add myself to Uploaders
  * fixes to the arch_all patch to pass test suite
    - port upstream changes to the c version to the bash rewrite
      of backup-files
    - fix backup-files to process all files passed in on the
      command line instead of just the last (a clear bug)
  * refresh all patches with -p ab
  * add procmail to build deps, needed by tests
  * Debian Policy 3.8.3

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Sep 2009 22:05:25 +0200

quilt (0.46-8) unstable; urgency=low

  * Move to section “vcs” to match with ftpmasters' overrides.
  * Hide from build output some comments inside quilt.make
    that could lead to believe that an error appeared. Thanks to
    Andrea Bolognani <eof@kiyuko.org>. Closes: #531192
  * Rename debian/patches/fr.po into debian/patches/po-fix-msguniq
    to avoid problems with scripts believing this is a po file.
  * Add "quilt shell" sub-command to update the topmost patch without having
    to quilt add files that are going to be modified. Thanks to Josselin
    Mouette for the patch. Closes: #526141
  * Update Standards-Version to 3.8.2: no change needed except switch to vcs
    section. 
  * Modify the quilt debhelper sequence to also register the dh_quilt_patch
    command in the "patch" target. Thanks to Joey Hess for the debhelper
    feature update and to Ryan Niebur for the bug report. Closes: #540124
  * Modify my name in Uploaders to include the accent.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Aug 2009 14:06:49 +0200

quilt (0.46-7) unstable; urgency=low

  * Add new dh_quilt_patch and dh_quilt_unpatch commands to be used within
    debhelper. Also add a debhelper addon so that the dh command can do patch
    management with a simple "dh --with quilt $@" in the tiny rules file
    provided by debhelper 7. Closes: #527255
  * Build-Depends on perl for pod2man and man page generation of the new
    dh_* commands.
  * Add Enhances: debhelper in debian/control for the new dh_* commands.
  * Update Standards-Version to 3.8.1: no change needed.
  * Fix misc lintian warnings.
  * Update the copyright file with the few copyright notices that are
    embedded.
  * Add a watch file.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 08 May 2009 12:23:52 +0200

quilt (0.46-6) unstable; urgency=low

  * Change back patchsys-quilt.mk to enter DEB_SRCDIR by default before
    applying patches (8 packages FTBFS due to this change). But we can now
    use DEB_QUILT_TOPDIR to override the default choice of DEB_SRCDIR.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 19 Jun 2008 21:40:27 +0200

quilt (0.46-5) unstable; urgency=low

  [ Martin Quinson ]
  * Acknowledge NMU (thanks Raphael).
    This also Closes: #454351 (doc in erroneous section Apps/Text)
  * debian/control: add Vcs-git, Vcs-browser and homepage fields.
  * Remove file patches/generic-awk from the debian diff 
    (was a leftover of the creation of debian/patches/generic-awk)
  * debian/rules: filter \sh{.*} constructs in the hevea output,
    such that HTML documentation is more readable [Rafael Laboissiere]
    Closes: #471453 (Make HTML documentation more readable)
  * pass --with-sendmail to configure, not --with-mta, and remove the
    /usr/share/quilt/compat/sendmail link.
    Closes: #443419 (quilt mail command cannot find sendmail)
  * Closes: #458285 (spelling error in /usr/share/quilt/quilt.make)
  * patches/arch_all: in backup-files.in:link_or_copy_file()
    redirect the errors comming from ls to /dev/null to reduce noise
    when ln is not usable (for example on AFS). Should be harmless
    since cp is used as backup when ln fails. [Russ Allbery]
    Closes: #458158 (extra noise when cross-directory symlinks aren't supported)
  * patches/unset_posix_strict_conformance_variables (new):
    unset POSIXLY_CORRECT _POSIX2_VERSION POSIXLY_PEDANTIC from quilt
    since they force patch to run in interactive manner (doh!)
    Closes: #462578 (quilt: breaks when POSIXLY_CORRECT=1)
  * Add a dpatch2quilt.sh script (to /usr/share/doc/quilt/examples) to
    ease the conversion from dpatch to quilt
    Closes: #464663 (sample script for dpatch -> quilt conversions)
  * Pass --no-print-directory to make while generating the man page to
    counter the fact that the top-level make (ie, debian/rules) pass
    -w to all childs. Patch by Romain Francoise, thanks.
    Closes: #436936 (build process has contaminated the manpage)

  [ Raphael Hertzog ]
  * Add myself to Uploaders.
  * Update Standards-Version to 3.8.0:
    - support patch/unpatch rules in patchsys-quilt.mk
    - support patch/unpatch rules in debian/rules
  * Switch to debhelper 5, adjust debian/compat and build-depends.
  * Remove minimal version in the cdbs build-dependency, even oldstable
    has a high-enough version.
  * patchsys-quilt.mk: don't try to apply patches in $(DEB_SRCDIR) but in
    current directory. This is best for compatibility with the upcoming "3.0
    (quilt)" source package format and the two only packages which are
    affected by this change have already been fixed (see #485142, #485163).
    Closes: #485835

 -- Martin Quinson <mquinson@debian.org>  Sun, 15 Jun 2008 22:17:14 +0200

quilt (0.46-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changes in patchsys-quilt.mk:
    * Convert to UTF-8.
    * Always use QUILT_PATCHES=$(CURDIR)/debian/patches. And thus drop the
      creation of the "patches" symlink as it will occasionnaly lead to
      problems with some packages. Closes: #473381
    * Fixes generated build-dependency on CDBS to not contain the "-1" that
      leads to the lintian warning "build-depends-on-1-revision".
      Closes: #482948
  * Fixes "apply-patches" rule to not reapply patches when they have already
    been applied by dpkg-source. Closes: #482750
  * Integrate debian/README.source as suggested by Russ Allbery and install it
    in /usr/share/doc/quilt/. Closes: #478421
  * Several lintian fixes:
    * clean-should-be-satisfied-by-build-depends: move debhelper and cdbs to
      Build-Depends
    * doc-base-file-uses-obsolete-national-encoding: switch
      debian/quilt.doc-base to UTF-8.
    * virtual-package-depends-without-real-package-depends and
      needlessly-depends-on-awk: drop dependency and build-dependency on awk.
    * spelling-error-in-description linux Linux: fix description accordingly.
    * doc-base-unknown-section: switch doc-base section to "Programming".
    * doc-base-abstract-might-contain-extra-leading-whitespaces: fix doc-base
      description to be a proper paragraph that can be rewrapped.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 28 May 2008 13:57:30 +0200

quilt (0.46-4) unstable; urgency=low

  * Really remove the depend on gawk, sorry (only build-depend was
    changed)
  * Reindent quilt.make to remove spurious output.
  * Thanks to Marco d'Itri for spotting these ones.

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Aug 2007 19:58:03 +0200

quilt (0.46-3) unstable; urgency=low

  * Depend on awk and not gawk (add patch generic-awk for this to work). 
    Thanks to Wolfram Sang -- Closes #431926.
  * Modify patch doc_improvement to fix a typo in manpage:
    s/QUILT_NO_DIFF_TIMESTAMP/QUILT_NO_DIFF_TIMESTAMPS/
    Thanks to Sukant Hajra -- Closes: #422000.
  * Modify patch doc_improvement to fix a typo in main documentation:
    s/ouput/output/   Thanks to Cyril Brulebois.
  * Add a link /usr/sbin/sendmail -> /usr/share/quilt/compat/sendmail
    since /usr/sbin is not supposed to be in users' path
    Thanks to Mark Brown -- Closes: #410890.
  * Add a call to create_db in snapshot command so that it works on
    freshly untarred quiltified projects.
    Thanks to Cyril Brulebois -- Closes: #403399.
  * Really get rid of debug messages in the generated man page (I hope).
    it didn't came from the debian/rules and neither from the package
    Makefile, but from the makefile I use to rebuild the package here.
    Closes: #402114.

 -- Martin Quinson <mquinson@debian.org>  Sun, 05 Aug 2007 14:36:21 +0200

quilt (0.46-2) unstable; urgency=low

  * Integrate the changes to the quilt package from Simon Horman.
    Add Simon to the uploaders list. Changes to the different patches:

    [arch_all] (modified)
      - stop exporting QUILT_LIB in bin/quilt since there is no lib after the
        arch_all modification
      - remove the backup-files.c since we don't use it anymore

    [mail-signature] (new)
      new option --signature to the mail command to specify which signature
      file to use (defaults to ~/.signature)

    [no-signature-test] (new)
      forbid the use of a .signature file in the tests (using the feature of
      previous patch) to not fail when a ~/.signature is present

    [mail-from-locale] (new)
      Force locale to C when generating date for From header

  * [debian/quilt.make]: various fixes
    - Do not indent internal comments or make will display them, and
      likewise for debian/patchsys-quilt.mk. (Closes: #418680)
      By Peter Eisentraut.
    - Add ".PHONY: patch unpatch" as it should be. (Closes: #405558)
      By Steinar H. Gunderson.
    - Place emacs mode on the first line. (Closes: #406249)
      By Marco Túlio Gontijo e Silva.

  * [debian/patchsys-quilt.mk] use $(CURDIR) instead of $(shell pwd)
    By Loïc Minier. (Closes: #406183)

  * [patches/doc_improvements] catch punctuation typos. (Closes: #402120)
    By Bastian Kleineidam.

  * [patches/makefile_gliches] Yet another try to remove debuging output
    form the makefile. By Bastian Kleineidam. (Closes: #402114)

  * Suggest the graphviz package since the graph command use it (at least
    the 'dot' command of graphviz). (Closes: #407469).
  * Change Build-deps into Build-dep-indep since we're now arch:all

 -- Martin Quinson <mquinson@debian.org>  Fri, 20 Apr 2007 13:31:29 +0200

quilt (0.46-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <mquinson@debian.org>  Thu, 19 Apr 2007 14:40:45 +0200

quilt (0.45-6) unstable; urgency=low

  * [debian/patches/override_mail_sender_in_testsuite]
    Fix the patch to catch all occurences of 'quilt mail' since each of them
    will cause a FTBFS on misconfigured hosts (thanks to Goswin Brederlow).
    (Closes: #397285, #395482, #393985) I hope, at least.
    
  * [debian/patches/doc_improvement]
    Fix some more typos in the manpages
    (Closes: #386548, #395447)

  * [debian/control]
     Add procmail to suggest list to help users locating the 'formail' tool.
     (Closes: #396093)

 -- Martin Quinson <mquinson@debian.org>  Thu, 23 Nov 2006 16:17:11 +0100

quilt (0.45-5) unstable; urgency=low

  * [debian/patches/override_mail_sender_in_testsuite]
    override the mail sender in the testsuite so that it works even on
    misconfigured chroots used to compile etch over and over
    (Closes: #393985).

 -- Martin Quinson <mquinson@debian.org>  Thu, 19 Oct 2006 21:19:45 +0200

quilt (0.45-4) unstable; urgency=low

  * [debian/control]
    Typo in package description (Closes: #386549):
    "basic support those" -> "basic support for those" 
  * [debian/patches/doc_improvement]
    Typo in man page (Closes: #386549):
    invoqued -> invoked
  * [debian/patches/makefile_glitches] 
     Remove buildd messages from the manpage (Closes: #381125)

 -- Martin Quinson <mquinson@debian.org>  Sun,  1 Oct 2006 22:31:29 +0200

quilt (0.45-3) unstable; urgency=low

  * Don't even try to build the package when /proc is not mounted since
     the checks will fail after a long moment. #380598 is thus closed twice:
     once upstream with the changes from 0.45-2 and in debian now.
    Note that if nocheck is added to DEB_BUILD_OPTIONS, the package will be
     built since there will be no test to fail. The only pb is that I can't
     remember of how to add this option with dpkg-buildpackage ;)

 -- Martin Quinson <mquinson@debian.org>  Mon, 31 Jul 2006 18:24:58 +0200

quilt (0.45-2) unstable; urgency=low

  * New patch: patch-wrapper_do_depend_on_proc:
    Let patch-wrapper die with an informative message when /proc is not
    mounted (Closes: #380598)

 -- Martin Quinson <mquinson@debian.org>  Mon, 31 Jul 2006 13:23:12 +0200

quilt (0.45-1) unstable; urgency=low

  * New upstream release. 
    - Various bug fixes and little improvements such as:
      - quilt/edit.in: Fix for working in subdirectories. Closes: #366964.
    - Update all patches
  * Acknoledge the NMU. Thanks Vorlon. Closes: #364834.
  * Move cdbs & debhelper from Build-Depends-Indep to Build-Depends since it
    is what I understand from the Right Thing to do.
  * Pass --quiltrc /dev/null to quilt in /usr/share/quilt/quilt.make for
    those who don't use cdbs but still don't want to FTBFTS because of
    personal settings in ~/.quiltrc. Closes: #370041.
  * use debian/stamp-patched as stamp file in /usr/share/quilt/quilt.make,
    and don't add debian/ artificially to the touch & rm commands. Hopefully
    Closes: #367078.

 -- Martin Quinson <mquinson@debian.org>  Fri, 16 Jun 2006 11:34:08 +0200

quilt (0.44-6.1) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Fix handling of recursive directory removal in the backup-files
    shell script to account for path elements being symlinks instead of 
    directories.  Closes: #364834.

 -- Steve Langasek <vorlon@debian.org>  Fri, 26 May 2006 00:35:14 -0700

quilt (0.44-6) unstable; urgency=low

  * Split the debian patch in several ones. Use quilt *when available*
    to deal with it. 
    pbuilds well here. Let's see what the buildd think of it.
    
  * Avoid infinite loops in backup-files when patching inexistant files.
    Thanks to Dan for reporting and sorting the problem out.
    (Closes: #366424).
  * New patch: test_broken_patches: 
    Adds test/file-not-found.test pushing a patch touching a inexistant
    file (yeah, that's the previous bug)

 -- Martin Quinson <mquinson@debian.org>  Tue,  9 May 2006 08:55:02 +0200

quilt (0.44-5) unstable; urgency=low

  * add '--quiltrc /dev/null' to quilt invocations in patchsys-quilt.mk.
    (Closes: #362054)
  * Make backup-files a shell script instead of a binary, so we can make
    quilt arch: all [Steve Langasek, thanks so much] 
    (Closes: #363659)
  * Do run "make check" when building the package.

 -- Martin Quinson <mquinson@debian.org>  Wed, 12 Apr 2006 02:23:27 +0200

quilt (0.44-4) unstable; urgency=low

  * Build-depend on diffstat so that diffstat support gets compiled in
    (Closes: #361191).
  * Register quilt documentation with doc-base [Nicolas François]
    (Closes: #344793).
  * Ship sample quilt.quiltrc along with the documentation
    (Closes: #356249).

 -- Martin Quinson <mquinson@debian.org>  Fri,  7 Apr 2006 22:52:23 +0200

quilt (0.44-3) unstable; urgency=low

  * Make sure that quilt returns 2 when there is nothing to do so that 
    patchsys-quilt.mk works again. Upstream regression since 0.33.
    (Closes: #358792).
  * Make sure that quilt fails when trying to push a non existant patch (ie
    if there is a typo in the serie file) unless -f is provided.
    (Closes: #358875).
  * Let /etc/mailname override the hostname in the mail command 
    (Closes: #356348).

 -- Martin Quinson <mquinson@debian.org>  Wed, 22 Mar 2006 16:14:51 +0100

quilt (0.44-2) unstable; urgency=low

  * Re-upload as non-native package (stupid me).

 -- Martin Quinson <mquinson@debian.org>  Wed, 22 Mar 2006 09:40:41 +0100

quilt (0.44-1) unstable; urgency=low

  * New upstream release (tons of bug fixes, no new major feature).
    - bin/guards.in: s/ocnfiguration/configuration/
      (Closes: #341518)
    - doc/quilt.1.in: Document common options to all commands
      (Closes: #334408)
  * Remove spurious ccache suggests (Closes: #354547).
  * Rewrite the package description (Closes: #347499).
  * Let the manpage make clearer that literal QUILT_COMMAND_ARGS is
    not read (Closes: #354997)
  * Let the manpage give the exact path to the pdf documentation 
    (Closes: #352324)

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Mar 2006 21:29:06 +0100

quilt (0.42-2) unstable; urgency=low

  * Add a missing semi-colon in quilt.debbuild.mk (Closes: #343893)

 -- Martin Quinson <mquinson@debian.org>  Fri, 30 Dec 2005 23:43:06 +0100

quilt (0.42-1) unstable; urgency=low

  * New upstream release.	
    - New commands:
      annotate: to see which patch modify which line of a file
      header: to print or change the patch header
      rename: to rename patches
    - New options:
      {diff,refresh} --no-index: suppress Index: lines in patch
      delete -n: delete the next patch after topmost
      --version: print the program version
    - Rework the german translation (Closes: #313827).
  * [Makefile.in]: in Debian, the docdir is /usr/share/doc/quilt, without
    the version number. (Closes: #321155)
  * Use the full path to /usr/sbin/sendmail (Closes: #318924)
  * Add text and html versions of the pdf documentation (Closes: #320294)
    Build-dep on hevea and lynx to get it working. Damn, that's huge deps
	
 -- Martin Quinson <mquinson@debian.org>  Wed, 29 Jun 2005 18:52:42 +0200

quilt (0.40-6) unstable; urgency=low

  [patchsys-quilt.mk]
  * Don't call update-config after reverting patches.  (Closes: #299010)

 -- Martin Quinson <mquinson@debian.org>  Wed, 29 Jun 2005 18:52:42 +0200

quilt (0.40-5) unstable; urgency=low

  [Packaging]
  * Do not automatically generate debian/control.in since it is now
    forbidden by policy.
  [quilt.debbuild.mk]
  * also cleanup arch cruft from debian dirs (patch stolen from cdbs)
  * Pass the -nd flag to wget when fetching upstream source to avoid
    by all means creating a dirctory structure.

 -- Martin Quinson <mquinson@debian.org>  Wed, 29 Jun 2005 10:36:57 +0200

quilt (0.40-4) unstable; urgency=low

  * Do depend on patchutils only when using cdbs
    (dependency moved from control.in to patchsys-quilt.mk)
  * quilt.debuild.mk: Also cleanup svn stuff from debian dirs

 -- Martin Quinson <mquinson@debian.org>  Sun, 22 May 2005 11:23:27 +0200

quilt (0.40-3) unstable; urgency=low

  * Depend on patchutils (>= 0.2.25) since we use lsdiff -H to fix #295913

 -- Martin Quinson <mquinson@debian.org>  Fri, 13 May 2005 18:43:23 +0200

quilt (0.40-2) unstable; urgency=low

  * Add /usr/share/quilt/quilt.debbuild.mk to ease the build from the cvs 
    of debian packages using quilt. Read its header for documentation.
    
 -- Martin Quinson <mquinson@debian.org>  Thu, 12 May 2005 23:02:13 +0200

quilt (0.40-1) unstable; urgency=low

  * New upstream version
  * Add /usr/share/quilt/quilt.make for the ones not using CDBS.
    The "patch" and "unpatch" targets are implemented.

 -- Martin Quinson <mquinson@debian.org>  Wed, 11 May 2005 15:51:51 +0200

quilt (0.39-3) unstable; urgency=low

  * Add a word in the man page about how to display compressed pdf files
    since this non-bug got reported twice now (Closes: #304848).

 -- Martin Quinson <mquinson@debian.org>  Tue, 26 Apr 2005 16:02:16 +0200

quilt (0.39-2) unstable; urgency=low

  * Pass -p $opt_strip_level option to diffstat in refresh command.
    (Closes: #298785)
  * fixes from upstream cvs:
    - Add a missing "exit 1" to quilt/fold.in when no patches are applied.
    - typo in graph help message.
    
 -- Martin Quinson <mquinson@debian.org>  Wed, 23 Mar 2005 11:10:07 +0100

quilt (0.39-1) unstable; urgency=low

  * New upstream release. 
    0.38 were mostly bugfixes, and those bugs were also reported against
      debian package, so I had to steal most of the cvs content already.
    0.39 is also mainly bugfixes. There is a new "mail" command I didn't
      test yet. ;)
      
  * Refuse to add symlinks into patches since we fail to backup them
    properly. (Closes: #294424). Will be in 0.40 ;)
  * Take care of the lost souls patching their config.* files. 
    Cdbs updates them automatically. Thanks to Robert Millan for detecting
    the issue (in cdbs) and proposing a fix (in quilt). (Closes: #295913).
    
    This implies a versionned depend on cdbs (>=0.4.27-1) for using packages, 
    since part of the fix is in there. quilt itself suggests this version.

 -- Martin Quinson <mquinson@debian.org>  Thu, 24 Feb 2005 13:51:10 +0100

quilt (0.37-5) unstable; urgency=low

  * Let cdbs track the build-dep automatically.
  * Make sure people letting cdbs tracking the builddeps for them will get
    the one on quilt when using the quilt patchsys.
  Fix upstream bugs:
  * Strip out the letters from the bash version before [numerical] comparison
    (Closes: #288839)
  * Make sure directories are completed with the trailing '/' (for further
    completion) where quilt expects a file and refuses any directory.
    (Closes: #281256)

 -- Martin Quinson <mquinson@debian.org>  Thu,  6 Jan 2005 07:51:02 +0100

quilt (0.37-4) unstable; urgency=low

  * Fix the 'patches' command (print the patch names again).
    (Closes: #286293).

 -- Martin Quinson <mquinson@debian.org>  Thu, 23 Dec 2004 14:48:35 +0100

quilt (0.37-3) unstable; urgency=low

  * Fix extra trailing space in series file after quilt refresh.
    (Closes: #285865)

 -- Martin Quinson <mquinson@debian.org>  Thu, 16 Dec 2004 21:33:54 +0100

quilt (0.37-2) unstable; urgency=low

  * Fix a quoting issue in bash_autocompletion. Patch from upstream CVS.
    (Closes: #285322)

 -- Martin Quinson <mquinson@debian.org>  Mon, 13 Dec 2004 14:54:25 +0100

quilt (0.37-1) unstable; urgency=low

  * New upstream release(s. I missed the 0.36, sorry):
    - "quilt new" now work from a sub-dir (instead of creating a new
      patches/ dir in the current one).
    - allow to list all modified files (within patch ranges).
    - japaneese translation.
    - touch files after they are restored to not confuse make and friends.
    - various bug fixes.
  * Fix a bashism in patchsys-quilt.mk (Closes: #275253)
  * Useless cleanup in debian/rules (Closes: #268967)
  * Acknoledge NMU. Thanks Matt! (Closes: #264053)
  * Use my Debian address as maintainer.
  * Fix two typos in description. Thanks Matt (Kraii) ! (Closes: #266195)

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed,  8 Dec 2004 16:12:21 +0100

quilt (0.35-1.1) unstable; urgency=low

  * NMU at maintainer's request
  * Add ${shlibs:Depends} to debian/control:Depends (Closes: #264053)
    
 -- Matt Zimmerman <mdz@debian.org>  Fri,  6 Aug 2004 18:41:46 -0700
 
quilt (0.35-1) unstable; urgency=low

  * New upstream version.
    - bash completion made usable (even out of Debian).
    - New configuration variables: QUILT_<command>_ARGS amongst others.
    - Reintroduction of the diffstat feature (--diffstat option of refresh).
    - Setting QUILT_PATCHES_PREFIX asks quilt to display the full path to
      the patches instead of the patch names (for copy/paste).
    - Ability to specify the type of patch, and the context length (-u, -U
      num, -c, and -C num options of diff and refresh).
    - Syntax highlighting (--color option of diff).
    - Various bug fixes.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu, 15 Jul 2004 15:06:43 -0700
 
quilt (0.34-2) unstable; urgency=low

  * [patchsys-quilt.mk] Fix a stupid bug preventing to work on empty
    patch series

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 11 Jun 2004 10:45:08 -0700

quilt (0.34-1) unstable; urgency=low

  * New upstream release.
    - Backward compatibility of .pc directory implemented
  * Get ride of the now useless big fat warning in NEWS.Debian about that.
  * Use the manpage generated by the upstream makefile, and remove the
    one embeeded in the debian dir.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu, 10 Jun 2004 16:35:00 -0700
    
quilt (0.33-1) unstable; urgency=low

  * New upstream release.
    - Return exit status 2 when commands go beyond the series (push when
      already on top, and so on)
    - Bunch of bug fixes.
  * [patchsys-quilt.mk] quilt return 2 when there was nothing to do.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Tue,  8 Jun 2004 11:54:58 -0700

quilt (0.32-3) unstable; urgency=low

  * push exits 0 when no patch is to be pushed.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu,  3 Jun 2004 08:46:23 -0700

quilt (0.32-2) unstable; urgency=low

  * Use relative link for debian/patches. Closes: #242342
  * Specify we want to use gawk since mawk causes trouble. Closes: #251972.
  * Add an entry to NEWS.Debian warning about the breakage in opened tree
    occuring between 0.30 and 0.32 versions. At least people using
    apt-listchanges will be warned about that. It looks like the best we can
    do for now.
  * pop exits 0 when no patch is to be removed.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Tue,  1 Jun 2004 11:41:51 -0700

quilt (0.32-1) unstable; urgency=low

  * New upstream release.
    - It is now possible to use quilt from within sub-directories of the
      working tree. Quilt will automatically find the root of the tree.
    - New 'graph' command to display neat graphics of patch dependencies.
    - 'fork' semantic reverted to previous one: the forked patch is the
      topmost one, not the next in the series.
    - documentation update.
    - man page (provided by your servitor ;)
  * Fix a typo in output of setup -l. Closes #236933
  * Rephrase package description. Closes #236221

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 19 Mar 2004 10:00:03 -0800

quilt (0.30-4) unstable; urgency=low

  * patchsys-quilt.mk: 
    Various improvements from David Kimdon. Closes: #234449
    - rm debian/stamp-patch in reverse-patches (instead of clean) so that this
      target can be called directly.
    - Make those rules usable along with the cdbs tarball.mk ones.
    - remove a dupplicated useless line

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed, 25 Feb 2004 10:22:39 -0800

quilt (0.30-3) unstable; urgency=low

  * Add a man page from the upstream CVS. Closes: #219318

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Mon, 23 Feb 2004 08:43:08 -0800

quilt (0.30-2) unstable; urgency=low
 
  * [debian/control]
    - Remove the dependency on bash since it's an essential package.
    - Upgrade the dependency on debhelper to (>= 4.1.0) as requested by cdbs.
  * [debian/quilt.install] 
    - Reput quilt.pdf in the package back, and make sure it won't disapear
      anymore. 
 
 -- Martin Quinson <martin.quinson@tuxfamily.org>  Mon,  2 Feb 2004 16:45:12 -0800

quilt (0.30-1) unstable; urgency=low

  * New upstream release.
  * Fix the URL of the project (Closes #223387).  
  * add a dependency on gawk (Closes #227111).

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 30 Jan 2004 16:10:23 -0800

quilt (0.29-3) unstable; urgency=low

  * force the shell to be bash, since we use tons of bashism

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Mon, 24 Nov 2003 11:24:15 +0100

quilt (0.29-2) unstable; urgency=low

  * Add the patchsys-quilt.mk file achieving the integration of quilt within
    cdbs.
  * Install the upstream changelog under the changelog.gz name.
  * Remove several files left over in the debian/ dir.
  * Bump standard-version to 3.6.1.0: convert all control files to utf8.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Mon, 24 Nov 2003 10:24:15 +0100

quilt (0.29-1) unstable; urgency=low

  * New upstream version.
  * Repackage to use cdbs.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu, 20 Nov 2003 11:04:34 +0100

quilt (0.25-4) unstable; urgency=low

  * Various cleanup in the packaging (like removing a `pwd` in the debian/rules)

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu,  6 Nov 2003 16:27:15 +0100

quilt (0.25-3) unstable; urgency=low

  * Do not invoque autoconf during the build process since I do not change this file.
    That way, autobuilder will be happy even without build-depend (Closes: #217055).

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 31 Oct 2003 00:18:43 +0100

quilt (0.25-2) unstable; urgency=low

  * Do not install anything under /usr/share/doc/quilt-version/
    Thanks to Daniel Jacobowitz for reporting that bug.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 12 Sep 2003 08:18:29 +0200

quilt (0.25-1) unstable; urgency=low

  * New upstream release.
  * Set LC_ALL to C during the build so that the README.gz becomes in 
    english and not french. Thanks to Jan-Benedict Glaw for reporting that 
    issue.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Tue,  9 Sep 2003 08:30:52 +0200

quilt (0.24-1) unstable; urgency=low

  * New upstream release
  * debquilt.mk: Makefile chunk to manage debian packages using quilt

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Thu, 26 Jun 2003 15:26:16 +0200

quilt (0.23-1) unstable; urgency=low

  * New upstream release
  * Hardcode location of bash

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed,  9 Apr 2003 09:54:30 +0200

quilt (0.22-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 14 Feb 2003 14:12:31 +0100

quilt (0.21-2) unstable; urgency=low

  * Fight lintian warnings and error: 
    - Format copyright file properly
    - Don't depend on essential packages
    - Change Build-Depends-Indep: to Build-Depends: since the package is
      now arch-dependent. 
    - Update to lastest standards
  * The documentation did move one more time.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Fri, 31 Jan 2003 09:21:03 +0100

quilt (0.21-1) unstable; urgency=low

  * New upstream release.
  * Change from architecture: all to architecture: any, since we now have a
    compiled C programm.
  * Add the new documentation provided.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed, 29 Jan 2003 10:19:31 +0100

quilt (0.11-1) unstable; urgency=low

  * New upstream release. New upstream author. Developement moved to savannah.
  * Some functionnalities were removed, but all the scripts are much more robust now. 

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Sat, 18 Jan 2003 23:36:29 +0100

quilt (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Should now work if installed in /usr/lib or if unpacked in the current
    directory.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed, 11 Dec 2002 09:31:28 +0100

quilt (0.8-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed,  6 Nov 2002 22:48:32 +0100

quilt (0.6-1) unstable; urgency=low

  * New upstream release

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Wed,  6 Nov 2002 22:48:32 +0100

quilt (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Martin Quinson <martin.quinson@tuxfamily.org>  Tue, 29 Oct 2002 09:29:20 +0100

# -*- coding: utf-8 -*-
